Subject: RFC5987bis parmsyntax, was: json-string for HTTP header field parameter values

From: Julian Reschke <[email-masked]>
Date: Sat, 17 Dec 2011 22:47:56 +0100

On 2011-11-02 03:33, Manger, James H wrote:
> ...
> Presumably RFC5987 (or its predecessors) decided it was highly unlikely
> that any parameter names in use ended in "*" (though they are valid)
> so it could redefine the syntax of values for such names.
> ...

That's not entirely correct.

RFC 5987 does not mandate that every parameter ending in "*" needs to 
use the 2231 encoding; actually it does clearly say that it's an opt-in; 
see <http://greenbytes.de/tech/webdav/rfc5987.html#rfc.section.4>.

That being said, there are parsers out there that just assume that a 
trailing "*" indicates 2231/5987 encoding (for instance, Mozilla).

So it probably would be a good idea to point out that a trailing "*" in 
a parameter name that does *not* indicate 2231/5987 encoding is a very 
bad idea, maybe when we get to issue #266.

Best regards, Julian